import buildah-1.26.2-1.el9_0

This commit is contained in:
CentOS Sources 2022-08-09 05:43:38 -04:00 committed by Stepan Oksanichenko
parent 390324bb95
commit 46625fda42
4 changed files with 38 additions and 67 deletions

View File

@ -1 +1 @@
09993f8aad3024403e1e2aa76aa3d11d1023cceb SOURCES/release-1.24-7b559a3.tar.gz
aba5b2eba2e548797e63b6f70c8472ce17b7b9a4 SOURCES/buildah-1.26.2-1915998.tar.gz

2
.gitignore vendored
View File

@ -1 +1 @@
SOURCES/release-1.24-7b559a3.tar.gz
SOURCES/buildah-1.26.2-1915998.tar.gz

View File

@ -1,45 +0,0 @@
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
Date: Mon, 21 Feb 2022 14:58:40 -0500
Subject: [PATCH] helpers.bash: Use correct syntax
Fixes gating test failure:
```
/usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
```
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
I'm just the committer.
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
---
tests/helpers.bash | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/tests/helpers.bash b/tests/helpers.bash
index bd2794c974..3e72108bec 100644
--- a/tests/helpers.bash
+++ b/tests/helpers.bash
@@ -433,9 +433,9 @@ function skip_if_rootless() {
##################################
function skip_if_rootless_and_cgroupv1() {
if test "$BUILDAH_ISOLATION" = "rootless"; then
- if !is_cgroupsv2; then
- skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
- fi
+ if ! is_cgroupsv2; then
+ skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
+ fi
fi
}
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
# skip_if_cgroupsv1 # Some tests don't work with cgroupsv1
#######################
function skip_if_cgroupsv1() {
- if !is_cgroupsv2; then
+ if ! is_cgroupsv2; then
skip "${1:-test does not work with cgroups v1}"
fi
}

View File

@ -1,9 +1,3 @@
# https://bugzilla.redhat.com/show_bug.cgi?id=1904567
%global _lto_cflags %{nil}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%if 0%{?rhel} > 7 && ! 0%{?fedora}
%define gobuild(o:) \
go build -buildmode pie -compiler gc -tags="rpm_crashtraceback libtrust_openssl ${BUILDTAGS:-}" -ldflags "${LDFLAGS:-} -compressdwarf=false -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n') -extldflags '%__global_ldflags'" -a -v %{?**};
@ -14,14 +8,14 @@ go build -buildmode pie -compiler gc -tags="rpm_crashtraceback libtrust_openssl
%endif
%global import_path github.com/containers/buildah
%global branch release-1.24
%global commit0 7b559a3e7cff23f2207a36140178174d6e130a56
#%%global branch main
%global commit0 19159983d3ecdb16df97eb4c887902363066b474
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
Epoch: 1
Name: buildah
Version: 1.24.2
Release: 4%{?dist}
Version: 1.26.2
Release: 1%{?dist}
Summary: A command line tool used for creating OCI Images
License: ASL 2.0
URL: https://%{name}.io
@ -32,14 +26,13 @@ Source0: https://%{import_path}/tarball/%{commit0}/%{branch}-%{shortcommit0}.tar
%else
Source0: https://%{import_path}/archive/%{commit0}/%{name}-%{version}-%{shortcommit0}.tar.gz
%endif
Patch0: fix-bash-syntax.patch
BuildRequires: golang >= 1.16.6
BuildRequires: golang >= 1.17.7
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: libseccomp-devel
BuildRequires: ostree-devel
BuildRequires: glibc-static
BuildRequires: go-md2man
BuildRequires: /usr/bin/go-md2man
BuildRequires: gpgme-devel
BuildRequires: device-mapper-devel
BuildRequires: libassuan-devel
@ -48,6 +41,10 @@ Requires: runc >= 1.0.0-26
Requires: containers-common >= 2:1-2
Recommends: container-selinux
Requires: slirp4netns >= 0.3-0
Suggests: containernetworking-plugins >= 0.9.1-1
Requires: netavark
Requires: iptables
Requires: nftables
%description
The %{name} package provides a command line tool which can be used to
@ -132,14 +129,33 @@ make DESTDIR=%{buildroot} PREFIX=%{_prefix} -C docs install
%{_datadir}/%{name}/test
%changelog
* Fri Mar 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-4
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
(https://github.com/containers/buildah/commit/7b559a3)
- Related: #2067533
* Wed Jul 27 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.26.2-1
- update to https://github.com/containers/buildah/releases/tag/v1.26.2
- Related: #2061390
* Fri Mar 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-3
- switch to RHEL maintenance branch which fixes CVE-2022-27651
- Resolves: #2067533
* Fri May 13 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.26.1-4
- Re-enable LTO and debuginfo
- Related: #2061316
* Wed May 11 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.26.1-3
- BuildRequires: /usr/bin/go-md2man
- Related: #2061316
* Thu May 05 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.26.1-2
- Add missing container networking dependencies (thanks to Neal Gompa)
- Related: #2061316
* Thu May 05 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.26.1-1
- update to https://github.com/containers/buildah/releases/tag/v1.26.1
- Related: #2061316
* Thu Mar 31 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.25.1-1
- update to https://github.com/containers/buildah/releases/tag/v1.25.1
- Related: #2061316
* Wed Mar 30 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.25.0-1
- update to https://github.com/containers/buildah/releases/tag/v1.25.0
- Related: #2061316
* Mon Feb 21 2022 Lokesh Mandvekar <lsm5@redhat.com> - 1:1.24.2-2
- Add patch to fix bash symtax for gating tests